using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Convert image files to PDF file
			SautinSoft.PdfVision v = new SautinSoft.PdfVision();
			//v.Serial = "XXXXXXXXXXXXXXX";
			
			//specify converting options
			v.PageStyle.PageSize.Auto();
			//v.PageStyle.PageMarginLeft.Inch(1);
			//v.ImageStyle.Heightmm(150);
			//v.ImageStyle.WidthInch(10);

			v.ImageStyle.Quality=80;

			//Create array containing paths to different image files
			string[] arImages = new string[4];
			arImages[0] = @"..\..\..\..\..\image1.jpg";
			arImages[1] = @"..\..\..\..\..\image2.png";
			arImages[2] = @"..\..\..\..\..\image3.gif";
			arImages[3] = @"..\..\..\..\..\image4.jpg";

			//Convert array of images into PDF file
			int ret = v.ConvertImageFileArrayToPDFFile(arImages, @"..\..\..\..\..\hardcopy.pdf");
			
			//0 - converting successfully
			//1 - array is empty, doesn't contain any path to image file
			//2 - can't create output file, check the output path
			//3 - converting failed

			if(ret==0 )
			{
				//Show produced PDF in Adobe Acrobat
				System.Diagnostics.Process.Start(@"..\..\..\..\..\hardcopy.pdf");
			}
		}
	}
}
