Imports System.IO
Imports System.Collections

Namespace Sample
	Friend Class Test

		Shared Sub Main(ByVal args() As String)

			'Convert HTML file/url to PDF file
			Dim v As New SautinSoft.PdfVision()

			v.PageStyle.PageOrientation.Portrait()
			Dim directoryWithHTMLs As String = "d:\Tempos\"
			Dim pathToSinglePdf As String = "d:\Tempos\Big_Pdf.pdf"

			'Convert all HTML files from directory to PDF file
			Dim htmlFiles() As String = Directory.GetFiles(directoryWithHTMLs, "*.htm*")
			Dim pdfDocuments As New ArrayList()

			For Each htmlFile As String In htmlFiles
				pdfDocuments.Add(v.ConvertHtmlFileToPDFStream(htmlFile))
			Next htmlFile

			Try
				File.WriteAllBytes(pathToSinglePdf, v.MergePDFStreamArrayToPDFStream(pdfDocuments))
			Catch
				Return
			End Try
			System.Diagnostics.Process.Start("d:\Tempos\Big_Pdf.pdf")
		End Sub
	End Class
End Namespace
