using System;
using System.IO;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {

            //Convert HTML file/url to PDF file
            SautinSoft.PdfVision v = new SautinSoft.PdfVision();

            v.PageStyle.PageOrientation.Portrait();

            byte [] image = v.ConvertHtmlFileToImageStream(Path.GetFullPath(@"..\..\..\..\..\test.htm"), SautinSoft.PdfVision.eImageFormat.Png);
            int ret = -1;

            if (image != null)
            {
                v.PageStyle.PageSize.Auto();
                ret = v.ConvertImageStreamToPDFFile(image, @"..\..\..\..\..\Result_small.pdf");
            }

            // 0 - converting successfully
            // 1 - can't open input file, check the input path
            // 2 - can't create output file, check the output path
            // 3 - converting failed
            if (ret == 0)
            {
                //Show produced pdf in Acrobat Reader
                System.Diagnostics.Process.Start(@"..\..\..\..\..\Result_small.pdf");
            }
        }
    }
}
