using System;
using System.IO;
using System.Collections;


namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Merge PDF files		
			SautinSoft.PdfVision v = new SautinSoft.PdfVision();
			//v.Serial = "XXXXXXXXXXXXXXX";
			
			//merge 4 PDF files
			string [] files = new string[4];
			files[0] = @"c:\document1.pdf";
			files[1] = @"c:\document2.pdf";
			files[2] = @"c:\document3.pdf";
			files[3] = @"c:\document4.pdf";

			int ret = v.MergePDFFileArrayToPDFFile(files, @"c:\hardcopy.pdf");

			//0 - merged successfully
			//1 - error, can't merge PDF documents
			//2 - error, can't create output file, probably it used by another application
			//3 - merging failed
			//4 - merged successfully, but some files were not merged
			if (ret==0)
			{
				System.Diagnostics.Process.Start(@"c:\hardcopy.pdf");
			}		
		}
		public static byte[] ReadByteArrayFromFile(string fileName)
		{
			byte[] buff = null;
			try
			{
				FileStream fs = new FileStream(fileName, FileMode.Open, FileAccess.Read);
				BinaryReader br = new BinaryReader(fs);
				long numBytes = new FileInfo(fileName).Length;
				buff = br.ReadBytes((int)numBytes);
			}
			catch{}
			return buff;
		}
	}
}
